Subject: [PATCH v4 4/8] PCI: brcmstb: Add dma-range mapping for inbound traffic

From: [email-masked] (Christoph Hellwig)
Date: Thu, 18 Jan 2018 16:23:31 +0100

On Thu, Jan 18, 2018 at 07:09:23AM -0800, Florian Fainelli wrote:
> >But in this case it actually is the example to follow as told
> >previously.
> >
> >NAK again for these chained dma ops that only create problems.
> 
> Care to explain what should be done instead?

Override phys_to_dma and dma_to_phys as mips and x86 do for similar
situations.

Bonous points of finding some generic way of doing it instead of
hiding it in arch code.